## udns 0.0.8

=== Makefile ===
#! /usr/bin/make -rf
# $Id: Makefile,v 1.38 2005/09/12 12:09:10 mjt Exp $
# libudns Makefile
#
# Copyright (C) 2005  Michael Tokarev <mjt@corpit.ru>
# This file is part of UDNS library, an async DNS stub resolver.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library, in file named COPYING.LGPL; if not,
# write to the Free Software Foundation, Inc., 59 Temple Place,
# Suite 330, Boston, MA  02111-1307  USA

VERS   = 0.0.8
SRCS   = udns_dn.c udns_dntosp.c udns_parse.c udns_resolver.c udns_misc.c \
	udns_rr_a.c udns_rr_ptr.c udns_rr_mx.c udns_rr_txt.c udns_bl.c \
	udns_rr_srv.c udns_codes.c
USRCS  = dnsget.c rblcheck.c ex-rdns.c
DIST   = COPYING.LGPL udns.h udns.3 dnsget.1 rblcheck.1 $(SRCS) $(USRCS) \
	Makefile TODO

OBJS   = $(SRCS:.c=.o) $(GEN:.c=.o)
LIB    = libudns.a

SOVER  = 0
SOBJS  = $(OBJS:.o=.lo)
SOLIB  = libudns.so
SOLIBV = $(SOLIB).$(SOVER)

LIBS   = $(LIB) $(SOLIBV)

UTILS   = $(USRCS:.c=)
SOUTILS = $(USRCS:.c=.shared)

NAMEPFX = udns-$(VERS)

CC = gcc
CFLAGS = -Wall -W -Wmissing-prototypes -O2
CDEFS = -DHAVE_POLL
PICFLAGS = -fPIC
AWK = awk

all: static

.SUFFIXES: .c .o .lo .shared

static: $(LIB) $(UTILS)
staticlib: $(LIB)
$(LIB): $(OBJS)
	-rm -f $@
	$(AR) rv $@ $(OBJS)
.c.o:
	$(CC) $(CFLAGS) $(CDEFS) -c $<
$(OBJS): udns.h

$(UTILS): udns.h $(LIB)
.c:
	$(CC) $(CFLAGS) $(CDEFS) -o $@ $< $(LIB)

shared: $(SOLIBV) $(SOUTILS)
sharedlib: $(SOLIBV)

$(SOLIBV): $(SOBJS)
	$(CC) -shared -Wl,--soname,$(SOLIBV) -o $@ $(SOBJS)
	rm -f $(SOLIB)
	ln -s $(SOLIBV) $(SOLIB)
.c.lo:
	$(CC) $(CFLAGS) $(PICFLAGS) $(CDEFS) -o $@ -c $<
$(SOBJS): udns.h

$(SOUTILS): udns.h $(SOLIB)
.c.shared:
	$(CC) $(CFLAGS) $(CDEFS) -o $@ $< $(SOLIB)

# udns_codes.c is generated from udns.h
udns_codes.c:	udns.h Makefile
	@echo Generating $@
	@set -e; exec >$@.tmp; \
	set T type C class R rcode; \
	echo "/* Automatically generated. */"; \
	echo "#include \"udns.h\""; \
	while [ "$$1" ]; do \
	 echo; \
	 echo "const struct dns_nameval dns_$${2}tab[] = {"; \
	 $(AWK) "/^  DNS_$${1}_[A-Z0-9_]+[ 	]*=/ \
	  { printf \" {%s,\\\"%s\\\"},\\n\", \$$1, substr(\$$1,7) }" \
	  udns.h ; \
	 echo " {0,0}};"; \
	 echo "const char *dns_$${2}name(enum dns_$${2} code) {"; \
	 echo " static char nm[20];"; \
	 echo " switch(code) {"; \
	 $(AWK) "BEGIN{i=0} \
	   /^  DNS_$${1}_[A-Z0-9_]+[ 	]*=/ \
	   {printf \" case %s: return dns_$${2}tab[%d].name;\\n\",\$$1,i++}\
	   " udns.h ; \
	 echo " }"; \
	 echo " return _dns_format_code(nm,\"$$2\",code);"; \
	 echo "}"; \
	 shift 2; \
	done
	@mv $@.tmp $@

udns.3.html: udns.3
	groff -man -Thtml udns.3 > $@.tmp
	mv $@.tmp $@

dist: $(NAMEPFX).tar.gz
$(NAMEPFX).tar.gz: $(DIST)
	mkdir $(NAMEPFX)
	ln $(DIST) $(NAMEPFX)
	tar cvfz $@ $(NAMEPFX)
	rm -rf $(NAMEPFX)
subdist:
	cp -p $(DIST) $(TARGET)/

clean:
	rm -f $(OBJS) $(SOBJS) build-stamp
distclean: clean
	rm -f $(LIBS) libudns.so udns.3.html $(UTILS) $(SOUTILS)

.PHONY: all static staticlib shared sharedlib dist clean distclean subdist

## udns 0.2

=== debian/changelog ===
udns (0.2-2) unstable; urgency=low

  * fix debian/rules to refer to timestamps not phony rules,
    and add build-arch and build-indep targets.
  * Source-Version => source:Version
  * bump Standards-Version to 3.9.4 (no changes needed)
  * enable dpkg-buildflags usage (hardening etc)

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 21 Dec 2012 12:03:26 +0400

udns (0.2-1) unstable; urgency=low

  * new upstream version (Closes: #493599)
  * new maintainer, which is, part-time upstream author.
    Thank you Thadeu Lima for the previous work!
  * removed debian/README which explained that the software is under
    development with non-stabilized API
  * revisited all debian stuff: simplified debian/rules a bit,
    reviewed standards-version and debhelper compat rules,
    made the library multiarch.

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 19 Dec 2012 22:43:15 +0400

udns (0.0.9-3) unstable; urgency=low

  * Rewrite NEWS file using Debian changelog format and use the same
    date as the last release, when it was written.
  * Add Homepage control field.
  * Complies with Debian Policy version 3.8.2 (no changes required).
  * Rewrite descriptions to inform more and use punctuation, as well as
    capitalize UDNS name.

 -- Thadeu Lima de Souza Cascardo <cascardo@minaslivre.org>  Sat, 11 Jul 2009 18:17:24 -0300

udns (0.0.9-2) unstable; urgency=low

  * debian/rules: links debian/README to
    debian/package.README.Debian. Closes: #437890
  * Do not use DH_COMPAT but debian/compat, changed from 4 to 5, changed
    Build-Depends too.
  * Replaced ${Source-Version} with ${binary:Version}.

 -- Thadeu Lima de Souza Cascardo <cascardo@minaslivre.org>  Wed, 12 Sep 2007 09:39:36 -0300

udns (0.0.9-1) unstable; urgency=low

  * New upstream release. Closes #408329
  * Removes libudns.so in rules clean
  * Copies zone entries in rblcheck.c. Closes #403349
  * Includes README and NEWS related to Debian explaining an ABI breakage
  * Back in sid. Closes #408820
  * Install upstream NOTES and TODO

 -- Thadeu Lima de Souza Cascardo <cascardo@minaslivre.org>  Thu,  1 Mar 2007 23:00:48 -0300

udns (0.0.8-2) unstable; urgency=low

  * Applied patch by Mikael Magnusson, to allow udns to be used in C++
    programs. Should use dpatch and report upstream. Closes #400476

 -- Thadeu Lima de Souza Cascardo <cascardo@minaslivre.org>  Mon, 11 Dec 2006 20:50:35 -0200

udns (0.0.8-1) unstable; urgency=low

  * Moved upstream debian changelog into upstream changlog.
  * Changed rules to install doc changelog.
  * Changed maintainer to me.
  * Fixed sections for Source and Binary packages in control.
  * Fixed FSF address in copyright file.

 -- Thadeu Lima de Souza Cascardo <cascardo@minaslivre.org>  Sat,  2 Sep 2006 22:52:04 -0300

=== debian/control ===
Source: udns
Priority: optional
Section: net
Maintainer: Michael Tokarev <mjt@tls.msk.ru>
Uploaders: Thadeu Lima de Souza Cascardo <cascardo@minaslivre.org>
Build-Depends: debhelper (>= 8.1.3~)
Standards-Version: 3.9.4

Package: libudns0
Section: libs
Multi-Arch: same
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: async-capable DNS stub resolver library
 libudns0 package provides libudns shared library needed
 to run programs using it

Package: libudns-dev
Section: libdevel
Architecture: any
Depends: libudns0 (= ${source:Version}), ${misc:Depends}
Description: async-capable DNS stub resolver library, development files
 This package provides development files needed
 to build programs using udns library

Package: udns-utils
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: rblcheck
Description: Several DNS-related utilities built on top of udns library
 This package includes the following utilities:
  dnsget - a simple DNS query tool, like `host' or `dig' for usage from
   a command line, and dnsip, dnsname etc for usage in scripts
  rblcheck - DNSBL (rbl) checker
 All the utilities are built using udns library

=== debian/rules ===
#! /usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
LIBDIR := usr/lib/$(DEB_HOST_MULTIARCH)
SOVER = 0

config: config.h
config.h: configure Makefile.in
	dh_testdir
	CFLAGS="$(shell dpkg-buildflags --get CPPFLAGS) $(shell dpkg-buildflags --get CFLAGS) -Wall -W" \
	 LDFLAGS="$(shell dpkg-buildflags --get LDFLAGS)" \
         ./configure --enable-ipv6

build: build-arch build-indep
build-arch: build-stamp
build-indep:

build-stamp: config.h
	dh_testdir
	$(MAKE) staticlib sharedlib rblcheck_s dnsget_s
	touch $@

clean:
	dh_testdir
	rm -f build-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean

install: build-stamp
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs
	dh_installdocs -A NEWS

# libudns
	dh_install -plibudns$(SOVER) libudns.so.$(SOVER) $(LIBDIR)

# libudns-dev
	dh_install -plibudns-dev libudns.a $(LIBDIR)
	ln -s libudns.so.$(SOVER) debian/libudns-dev/$(LIBDIR)/libudns.so
	dh_install -plibudns-dev udns.h usr/include
	dh_installman -plibudns-dev udns.3
	dh_installdocs -plibudns-dev TODO NOTES
	dh_installexamples -plibudns-dev ex-rdns.c

# udns-utils
	install -D dnsget_s debian/udns-utils/usr/bin/dnsget
	install -D rblcheck_s debian/udns-utils/usr/bin/rblcheck
	dh_installman -pudns-utils dnsget.1 rblcheck.1

binary-indep:
binary-arch: build-stamp install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs -V
	dh_installdeb
	dh_shlibdeps -L libudns$(SOVER) -l .
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch
.PHONY: config build-arch build-indep build clean binary-arch binary-indep binary install

## udns 0.4

=== debian/changelog ===
udns (0.4-1) unstable; urgency=low

  * new upstream release - another bugfix
  * pass LDFLAGS correctly, finally

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 23 Jan 2014 14:46:41 +0400

udns (0.3-1) unstable; urgency=low

  * new upstream release (Closes: #709518)
    Also fixes miscompilation by gcc due to non-strict-aliasing-friendly code.
  * use binary:Version for libudns-dev dependency, not source:Version.
  * rework usage of LDFLAGS/CFLAGS (pass LDFLAGS in CFLAGS for now)

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 18 Jan 2014 16:23:30 +0400

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
 Package: libudns-dev
 Section: libdevel
 Architecture: any
-Depends: libudns0 (= ${source:Version}), ${misc:Depends}
+Depends: libudns0 (= ${binary:Version}), ${misc:Depends}
 Description: async-capable DNS stub resolver library, development files
  This package provides development files needed
  to build programs using udns library

=== debian/rules ===
--- 
+++ 
@@ -4,12 +4,15 @@
 LIBDIR := usr/lib/$(DEB_HOST_MULTIARCH)
 SOVER = 0
 
+CFLAGS = -Wall -W \
+	$(shell dpkg-buildflags --get CPPFLAGS) \
+	$(shell dpkg-buildflags --get CFLAGS)
+LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
+
 config: config.h
 config.h: configure Makefile.in
 	dh_testdir
-	CFLAGS="$(shell dpkg-buildflags --get CPPFLAGS) $(shell dpkg-buildflags --get CFLAGS) -Wall -W" \
-	 LDFLAGS="$(shell dpkg-buildflags --get LDFLAGS)" \
-         ./configure --enable-ipv6
+	CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" ./configure --enable-ipv6
 
 build: build-arch build-indep
 build-arch: build-stamp

## udns 0.5

=== debian/changelog ===
udns (0.5-1) unstable; urgency=medium

  * new upstream release (Closes: #1065173)
  * set dh compat level to 13
  * Standards-Version: 4.6.2
  * remove never-used Uploaders
  * remove Section from udns-util package (same as in Source)
  * add .symbols file
  * switch d/rules to dh sequence
  * add hardening flags
  * add Homepage: filed

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 09 Mar 2024 17:45:01 +0300

udns (0.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063007

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 20:03:54 +0000

=== debian/control ===
--- 
+++ 
@@ -2,30 +2,33 @@
 Priority: optional
 Section: net
 Maintainer: Michael Tokarev <mjt@tls.msk.ru>
-Uploaders: Thadeu Lima de Souza Cascardo <cascardo@minaslivre.org>
-Build-Depends: debhelper (>= 8.1.3~)
-Standards-Version: 3.9.4
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
+Homepage: http://www.corpit.ru/mjt/udns.html
 
-Package: libudns0
+Package: libudns0t64
+Provides: ${t64:Provides}
+Replaces: libudns0
+Breaks: libudns0 (<< ${source:Version})
 Section: libs
 Multi-Arch: same
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: async-capable DNS stub resolver library
- libudns0 package provides libudns shared library needed
+ libudns0t64 package provides libudns shared library needed
  to run programs using it
 
 Package: libudns-dev
 Section: libdevel
 Architecture: any
-Depends: libudns0 (= ${binary:Version}), ${misc:Depends}
+Depends: libudns0t64 (= ${binary:Version}), ${misc:Depends}
 Description: async-capable DNS stub resolver library, development files
  This package provides development files needed
  to build programs using udns library
 
 Package: udns-utils
-Section: net
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: rblcheck

## udns 0.6

=== debian/changelog ===
udns (0.6-1) unstable; urgency=medium

  * new upstream minor/bugfix release.
    Closes: #1066098, #1075595, #969786

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 26 Jul 2024 08:17:23 +0300

=== debian/rules ===
#! /usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@


override_dh_auto_configure:
	CFLAGS="$${CFLAGS} $${CPPFLAGS}" LDFLAGS="$${LDFLAGS}" \
	    ./configure --enable-ipv6

override_dh_auto_build:
	$(MAKE) staticlib sharedlib rblcheck_s dnsget_s
	ln -sf libudns.so.0 libudns.so
	ln -f dnsget_s dnsget
	ln -f rblcheck_s rblcheck

clean:
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean libudns.so
